package Presentator::SQLResults;

use strict;

1;

sub new {
	my ($class, %atr) = @_;
	$class = ref $class || $class;
	my @per_var = qw/sth fields/; 
	my $self = {};
	map { if (exists $atr{$_}) 
		{$self->{$_} = $atr{$_}} else {return} } @per_var;
	bless $self, $class;
}


#=item appendfield($field_name)
#
#This method adds the current row to the output object.
#sub appendfield {
#	my $self = shift;
#	my $field = shift;
#	$self->{output}->append(
#		$self->currow->[$self->{fields}{$field}{"index"}],
#		$self->{fields}{$field}{field}->encoding()
#	);
#}

sub nextRow {
	my $self = shift;
	$self->{"_cur_row"} = $self->{"sth"}->fetchrow_arrayref();
	return $self->currentRow();
}

sub currentRow {
	return $_[0]->{"_cur_row"};
}

sub field {
	my ($self, $name) = @_;
	my $fld = $self->{fields}{$name};
	$fld->setValue($self->currentRow->[$fld->{"index"}]);
	return $fld;
}

__END__

=head1 NAME

Presentator::SQLResults - interface for iterating and retrieving data

=head1 INTERFACE

=over 4

=item nextRow()

Moves the iterator to the next row. Returns undef when there is no row left and the reference to the next row otherwise.

=item currentRow()

Returns the reference to the current row (it is the reference to the array of results).

=item field($fieldName)

Returns appropriate object of type Presentator::SQLField. See also L<Presentator::SQLField>.

=back

=head1 AUTHOR

Copyright (c) 2002 Igor Chladil (ichladil@quick.cz). All rights reserved.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.
