use Test;

BEGIN {
	plan test => 8
}

END {
	ok($sp_loaded)
}

use Presentator::SecureParms;
$sp_loaded++;

my $parms = Presentator::SecureParms->new(
	securityClasses => {
		"environment env" => 1,
		"external_file" => 2, 
		"user_defined" => 3
	},
	parms => {
		1 => {"userId" => 1455, "faculty" => ["UHK"]},
		2 => {"userId" => 1400}
	},
	precedence => [1,2,3]
);

ok($parms);

ok($parms->get("userId") == 1455);
$parms->setPrecedence([2,1,3]);
ok($parms->get("userId") == 1400);
ok($parms->get("userId", 2) == 1455);
$parms->set("userId", 1800, 3);
ok($parms->get("userId", 3) == 1455);
ok(not defined $parms->get("userId", []));
ok($parms->get("userId", ["user_defined",2,1]) == 1800);


